diff2patches(1)

NOM

diff2patches - Extraire les correctifs qui ne s'appliquent pas à debian/ dans des fichiers .diff.gz

SYNTAXE

diff2patches nom_fichier
diff2patches --help|--version

DESCRIPTION

Extraire les correctifs de .diff.gz qui ne s'appliquent au répertoire "debian/". Un correctif est créé par fichier modifié. Chaque correctif est nommé en fonction du chemin du fichier modifié, en remplaçant "/" par "___", et avec une extension ".patch".

OPTIONS

nom_fichier
    Extraire les correctifs de nom_fichier qui ne s'appliquent pas au répertoire "debian/".

--help
    Afficher un message d'aide puis quitter.

--version
    Afficher les informations sur la version puis quitter.

FICHIERS

debian/control
    L'existence de ce fichier est testée avant d'extraire les correctifs.

debian/
debian/patches/
    Les correctifs sont extraits dans ce répertoire. "debian/patches/" est utilisé s'il existe. Si DEB_PATCHES est définie, elle est prioritaire sur ce comportement (consultez la section VARIABLES D'ENVIRONNEMENT ci-dessous).

VARIABLES D'ENVIRONNEMENT

DEB_PATCHES
    Quand elle est présente et si elle pointe vers un répertoire existant, les correctifs sont extraits dans ce répertoire au lieu de les placer dans le répertoire "debian" ou "debian/patches".

VOIR AUSSI

combinediff(1)

AUTEUR

Raphael Geissert <atomo64@gmail.com>

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.